#ifndef TMHistogrammingCErrorMessages_H
#define TMHistogrammingCErrorMessages_H

#include "TMHistogramming.h"
#include <TString.h>

const UInt_t gMAXLINESmess = 10000;

class TMHistogrammingCErrorMessages : public TMHistogramming {
 public:
  TMHistogrammingCErrorMessages();
  virtual ~TMHistogrammingCErrorMessages();

  virtual void EndEvent(AliITSRawStreamSPD *str, UInt_t globalEventNumber);

  virtual void Dump(TGTextView *textview);
  virtual void Reset();

  virtual void   SetDumpToTerminal(Bool_t setv=kTRUE) {fDumpToTerminal=setv;}
  virtual Bool_t GetDumpToTerminal() {return fDumpToTerminal;}

 protected:

  TString fTextLines[gMAXLINESmess];
  UInt_t  fNrLines;
  Bool_t  fDumpToTerminal;
  

  virtual Bool_t  DumpThis(const Char_t *msg);
  virtual Bool_t  DumpThis(const Char_t *msg, Int_t value, Char_t *status, Int_t binaryLength=32);
  virtual void    LoadBuffer(TGTextView *textview);
  virtual void    DumpBuffer();

};

#endif
